org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer

## Class PatternLeaf

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer.PatternComponent
  - - org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer.PatternLeaf

-     public class PatternLeaf
      extends PatternComponent

  This class represents a leaf element inside a pattern hierarchy.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer.PatternComponent

      `parent, patternNameFragment, selected`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLeaf(java.lang.String patternNameFragment, PatternComposite parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFullPatternNamePrefix()` Returns the prefix of the fully qualified pattern name for the given component.
    `int` | `hashCode()`
    `void` | `updateHasChildren()` Updates the checked and the "has children" states of this `PatternComponent` in the patterns viewer.

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.content.patternsviewer.PatternComponent

      `getCheckedState, getParent, getPatternNameFragment, propagateSelectionStateDownwards, propagateSelectionStateUpwards, setCheckedState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLeaf

          public PatternLeaf(java.lang.String patternNameFragment,
                             PatternComposite parent)

  - ### Method Detail

    - #### getFullPatternNamePrefix

          public java.lang.String getFullPatternNamePrefix()

      Description copied from class: `PatternComponent`
      Returns the prefix of the fully qualified pattern name for the given component.
      Specified by:
        `getFullPatternNamePrefix` in class `PatternComponent`
      Returns:
        the prefix of the pattern fqn

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### updateHasChildren

          public void updateHasChildren()

      Description copied from class: `PatternComponent`
      Updates the checked and the "has children" states of this `PatternComponent` in the patterns viewer.
      Specified by:
        `updateHasChildren` in class `PatternComponent`